// module/chats/components/message-text/message-text.ts
import I18nBehavior from "../../../../i18n/behavior";
Component({
  behaviors: [I18nBehavior],
  /**
   * 组件的属性列表
   */
  properties: {
    payload: { type: Object, value: { title: '', loading: false } },
    active: { type: Boolean, value: false },
  },

  /**
   * 组件的初始数据
   */
  data: {
    i18n: {
      report: { title: '评估' },
      analysis: { title: '结果' },
      follow: { tips: '操作完成' },
    },
  },

  /**
   * 组件的方法列表
   */
  methods: {
    seeReport(){
      // const id = 1819;
     const id = wx.getStorageSync("tonguefaceAnalysisReportId");
     wx.navigateTo({ url: "/module/health/pages/analysis/analysis?id=" + id });
   },
  }
})